module Ask
  OrbitApp.registration "Ask",:type=> 'ModuleApp' do
    module_label 'ask.ask'
    base_url File.expand_path File.dirname(__FILE__)
    # personal_plugin :enable => true,:path=>"panel/faq/plugin/profile",:i18n=>'admin.faq'

    version "0.1"
    organization "Rulingcom"
    author "RD dep"
    intro "I am intro"
    update_info 'some update_info'

    front_end do
      app_page 'ask_questions' do
        frontend_i18n 'ask.ask'
      end
      app_page 'thank_you'  do 
        frontend_i18n "ask.thank_you"
      end
    end

    widgets do
      default_widget do
      end
      categories_query 'Category.all'
    end

    authorizable
    approvable
    categorizable

    side_bar do
      head_label_i18n 'ask.ask', icon_class: 'icons-light-bulb'
      available_for [:admin,:manager,:sub_manager]
      active_for_controllers ({:private=>['ask_questions', 'ask_admins', 'ask_ackowledgements']})
      active_for_controllers({ private: ['ask_questions'] })
      head_link_path "panel_ask_back_end_ask_questions_path"

    context_link 'announcement.categories',
                            :link_path=>"admin_module_app_categories_path(get_module_app)" ,
                            :priority=>3,
                            :active_for_category => 'Ask',
                            :available_for => [:admin]

    context_link 'ask.acknowledgement', link_path: 'panel_ask_back_end_ask_acknowledgements_path',
                               priority: 1,
                               available_for: [:all]

    context_link 'ask.admin', link_path: 'panel_ask_back_end_ask_admins_path',
                               priority: 1,
                               available_for: [:all]

    context_link 'ask.export', link_path: 'export_panel_ask_back_end_ask_questions_path',
                               priority: 1,
                               available_for: [:all]
    end

  end
end
